Holger's Java API

## com.antelmann.sql
Class TaggableHeaderStore<T extends EntryHeader<?>>

    java.lang.Object
      com.antelmann.db.WrappedDBClassStore<T>
          com.antelmann.sql.WrappedDBClassStoreMapping<T>
              com.antelmann.sql.TaggableHeaderStore<T>

All Implemented Interfaces:
  DBClassStore<T>, ProcessedFilterOption<T>, TransactionRequired, MappingInfo, TaggableMapping, ProcessorHook<T,DatabaseException>, Wrapped<DBClassStore<T>>

    public class TaggableHeaderStore<T extends EntryHeader<?>>

extends WrappedDBClassStoreMapping<T>
implements TaggableMapping

useful for mapping `EntryHeader` objects transparently to support the `TaggableMapping` interface on the header store (for filtering purposes)

Since:
  11.12.2009, 01:32:37
Author:
  holger

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.DBClassStore
`DBClassStore.DBMethod`

Field Summary

Fields inherited from class com.antelmann.sql.WrappedDBClassStoreMapping
`mi`

Fields inherited from class com.antelmann.db.WrappedDBClassStore
`store`

Constructor Summary
`TaggableHeaderStore(DBClassStore<T> store, Class<E> groupableType)`
`TaggableHeaderStore(DBClassStore<T> headerStore, DBClassStore<E> groupableStore)`
`TaggableHeaderStore(DBClassStore<T> headerStore, TaggableMapping gm, MappingInfo groupableMappingInfo)`

Method Summary
`void` `deleteTag(String group)` deletes the given tag so that no entry is in the given group anymore
`Set<? extends Keyword>` `getExistingTags()` allows to retrieve all existing tags from the database
`String` `getGroupNameColumn()`
`String` `getTagIdColumn()`
`String` `getTagTable()`
`Class<? extends Keyword>` `getTagType()` returns the type of the tag
`void` `renameTag(String oldName, String newName)` allows to rename all occurrences of a tag name into another

Methods inherited from class com.antelmann.sql.WrappedDBClassStoreMapping
`addColumnsForTopic, addTopicMapping, getColumnDisplayMapping, getColumnNames, getColumnsForTopic, getColumnSize, getDisplayColumn, getDisplayNameForColumn, getIDColumn, getMappingForTopic, getSQLTypeforColumn, getSupportedTopicColumns, getTableName, getTableQuery, removeColumnTopics, removeTopicMapping, setColumnsForTopic`

Methods inherited from class com.antelmann.db.WrappedDBClassStore

`add, checkReadAccess, checkWriteAccess, containsID, deleteEntries, deleteEntriesIndividually, deleteEntry, exposesInterfaces, fetch, fetchStubs, generateNewID, getAccessFilter, getAccessStubFilter, getDatabase, getEntry, getEntryClass, getFetchProcessor, getPreStoreHandler, getStoreHandler, getStub, getStubProcessor, insert, insertAsNew, isApplyFilterProcessingRecursively, isDeleteEntriesIndividually, isEnsureTransactionsOnFetch, isProcessBeforeFiltering, queryForInterface, remove, setAccessFilter, setAccessStubFilter, setApplyFilterProcessingRecursively, setDeleteEntriesIndividually, setEnsureTransactionsOnFetch, setExposesInterfaces, setFetchProcessor, setPreStoreHandler, setProcessBeforeFiltering, setProcessBeforeFiltering, setStoreHandler, setStubProcessor, size, unwrap, update, wrapFilterForProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggableHeaderStore

    public TaggableHeaderStore(DBClassStore<T> store,
                               Class<E> groupableType)

### TaggableHeaderStore

    public TaggableHeaderStore(DBClassStore<T> headerStore,
                               DBClassStore<E> groupableStore)

### TaggableHeaderStore

    public TaggableHeaderStore(DBClassStore<T> headerStore,
                               TaggableMapping gm,
                               MappingInfo groupableMappingInfo)

Method Detail

### deleteTag

    public void deleteTag(String group)
                   throws SQLException

  Description copied from interface: `TaggableMapping`
  deletes the given tag so that no entry is in the given group anymore

  Specified by:
    `deleteTag` in interface `TaggableMapping`
  Throws:
    `SQLException`

### getExistingTags

    public Set<? extends Keyword> getExistingTags()
                                           throws SQLException

  Description copied from interface: `TaggableMapping`
  allows to retrieve all existing tags from the database

  Specified by:
    `getExistingTags` in interface `TaggableMapping`
  Throws:
    `SQLException`

### getTagType

    public Class<? extends Keyword> getTagType()

  Description copied from interface: `TaggableMapping`
  returns the type of the tag

  Specified by:
    `getTagType` in interface `TaggableMapping`

### renameTag

    public void renameTag(String oldName,
                          String newName)
                   throws SQLException,
                          NullPointerException

  Description copied from interface: `TaggableMapping`
  allows to rename all occurrences of a tag name into another

  Specified by:
    `renameTag` in interface `TaggableMapping`
  Throws:
    `SQLException`
    `NullPointerException`

### getTagTable

    public String getTagTable()

  Specified by:
    `getTagTable` in interface `TaggableMapping`

### getTagIdColumn

    public String getTagIdColumn()

  Specified by:
    `getTagIdColumn` in interface `TaggableMapping`

### getGroupNameColumn

    public String getGroupNameColumn()

  Specified by:
    `getGroupNameColumn` in interface `TaggableMapping`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads